> ## Documentation Index
> Fetch the complete documentation index at: https://docs.isprop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar proyecto existente

> Actualiza un proyecto existente con la información proporcionada.
Solo se actualizan los campos enviados en la petición.



## OpenAPI

````yaml /api/openapi.json put /projects/{project}
openapi: 3.1.0
info:
  title: Isprop API
  version: 1.0.0
  description: API para gestión de unidades inmobiliarias y leads de Isprop
servers:
  - url: https://{tenantDomain}/api/v1
    description: Dominio del tenant
    variables:
      tenantDomain:
        default: tenant.example.com
        description: Dominio asignado al tenant, sin protocolo ni ruta.
security:
  - http: []
tags:
  - name: Unit
  - name: Project
  - name: Product
  - name: Typology
  - name: Lead
  - name: Lead Channel
  - name: Attribute
paths:
  /projects/{project}:
    put:
      tags:
        - Project
      summary: Actualizar proyecto existente
      description: |-
        Actualiza un proyecto existente con la información proporcionada.
        Solo se actualizan los campos enviados en la petición.
      operationId: updateProject
      parameters:
        - name: project
          in: path
          required: true
          description: The project UUID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectRequest'
      responses:
        '200':
          description: '`Project`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Project'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateProjectRequest:
      type: object
      description: >-
        Request para actualizar un proyecto existente


        Valida los datos para actualizar un proyecto inmobiliario. Todos los
        campos son opcionales

        y solo se actualizarán los campos enviados en la petición.
      properties:
        name:
          type: string
          maxLength: 150
        description:
          type:
            - string
            - 'null'
        tagline:
          type:
            - string
            - 'null'
        website:
          type:
            - string
            - 'null'
          format: uri
        social_links:
          type: object
          properties:
            youtube:
              type:
                - string
                - 'null'
              format: uri
              maxLength: 255
            facebook:
              type:
                - string
                - 'null'
              format: uri
              maxLength: 255
            instagram:
              type:
                - string
                - 'null'
              format: uri
              maxLength: 255
            twitter:
              type:
                - string
                - 'null'
              format: uri
              maxLength: 255
            linkedin:
              type:
                - string
                - 'null'
              format: uri
              maxLength: 255
      title: UpdateProjectRequest
    Project:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type: string
        description:
          type: string
        tagline:
          type: string
        website:
          type: string
        social_links:
          type: string
        store_active:
          type: string
        published_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        logos:
          type:
            - array
            - 'null'
          items: {}
        address:
          $ref: '#/components/schemas/Address'
        products:
          type: array
          items:
            $ref: '#/components/schemas/ProductSummary'
        product_types:
          type:
            - array
            - 'null'
          description: >-
            Tipos de producto distintos entre los products del proyecto (ej:
            ["lotes"] o ["departamentos","cocheras","oficinas"])
          items: {}
        lots_map:
          type:
            - array
            - 'null'
          description: >-
            Config del overlay de tiles para la vista de mapa de lotes (null si
            el emprendimiento no tiene uno definido).
          items: {}
        has_lots_map:
          type: boolean
          description: >-
            Conveniencia para mostrar el toggle Lista/Mapa sin inspeccionar
            `lots_map`.
        tags:
          type: string
      required:
        - id
        - slug
        - name
        - description
        - tagline
        - website
        - social_links
        - store_active
        - published_at
        - created_at
        - updated_at
        - logos
        - product_types
        - lots_map
        - has_lots_map
      title: Project
    Address:
      type: object
      properties:
        country:
          type: string
        state:
          type: string
        city:
          type: string
        neighborhood:
          type: string
        district:
          type: string
        postal_code:
          type: string
        address_line_1:
          type: string
        address_line_2:
          type: string
        phone:
          type: string
        latitude:
          type: string
        longitude:
          type: string
      required:
        - country
        - state
        - city
        - neighborhood
        - district
        - postal_code
        - address_line_1
        - address_line_2
        - phone
        - latitude
        - longitude
      title: Address
    ProductSummary:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type: string
        description:
          type: string
        product_type:
          type: string
        product_type_label:
          type: string
        type_labels:
          type: object
          properties:
            sector:
              anyOf:
                - type: string
                - type: string
                  enum:
                    - Sector
            unit:
              anyOf:
                - type: string
                - type: string
                  enum:
                    - Unidad
          required:
            - sector
            - unit
        thumbnail_url:
          type:
            - string
            - 'null'
        store_active:
          type: string
        logos:
          type:
            - array
            - 'null'
          description: >-
            Override: null cuando el producto no tiene logo propio (el front cae
            al del project).
          items: {}
        project:
          $ref: '#/components/schemas/ProjectSummary'
        address:
          anyOf:
            - $ref: '#/components/schemas/AddressSummary'
            - type: 'null'
        published_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - slug
        - name
        - description
        - product_type
        - product_type_label
        - type_labels
        - thumbnail_url
        - store_active
        - logos
        - published_at
        - created_at
        - updated_at
      title: ProductSummary
    ProjectSummary:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type: string
        description:
          type: string
        tagline:
          type: string
        store_active:
          type: string
        logos:
          type:
            - array
            - 'null'
          items: {}
        address:
          anyOf:
            - $ref: '#/components/schemas/AddressSummary'
            - type: 'null'
        product_types:
          type:
            - array
            - 'null'
          description: >-
            Tipos de producto distintos entre los products del proyecto (ej:
            ["lotes"] o ["departamentos","cocheras","oficinas"])
          items: {}
        lots_map:
          type:
            - array
            - 'null'
          description: >-
            Config del overlay de tiles para la vista de mapa de lotes (null si
            el emprendimiento no tiene uno definido).
          items: {}
        has_lots_map:
          type: boolean
          description: >-
            Conveniencia para mostrar el toggle Lista/Mapa sin inspeccionar
            `lots_map`.
        published_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - slug
        - name
        - description
        - tagline
        - store_active
        - logos
        - product_types
        - lots_map
        - has_lots_map
        - published_at
        - created_at
        - updated_at
      title: ProjectSummary
    AddressSummary:
      type: object
      properties:
        country:
          type: string
        state:
          type: string
        city:
          type: string
        neighborhood:
          type: string
      required:
        - country
        - state
        - city
        - neighborhood
      title: AddressSummary
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: sanctum

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.